Bug 964287 - [rfe] improve font settings
[rfe] improve font settings
Status: NEW
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 14:32 EDT by Rahul Sundaram
Modified: 2014-12-09 04:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2013-05-17 14:32:56 EDT
Description of problem:

If I run intellij idea or many swing applications, the default font settings don't work well and as a result intellij developers have been recommending against openjdk.  The following setting makes it much much better.  can we make sure the defaults work well?

export _JAVA_OPTIONS='-Dawt.useSystemAAFontSettings=on -Dswing.aatext=true -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel'


refer to 
http://youtrack.jetbrains.com/issue/IDEA-70860
http://youtrack.jetbrains.com/issue/IDEA-57233
Comment 1 Rahul Sundaram 2013-05-17 14:37:09 EDT
system font settings can be set to lcd as well.  this is a common enough problem that i see such documentation in quite a number of places

https://wiki.archlinux.org/index.php/Java_Runtime_Environment_Fonts
https://wiki.archlinux.org/index.php/Java#Better_font_rendering
Comment 2 Deepak Bhole 2013-05-17 14:51:24 EDT
Jiri, what are the implications of setting AA to always true, do you know?
Comment 3 Nicolas Mailhot 2013-05-18 05:47:39 EDT
The correct fix on linux would be to pick up fontconfig settings, not hardcode new ones, since openjdk will end up rendrering fonts with the same font libs anyway

The current broken state is not a poor default choice but lack of system integration (java's bane due to SUN's irrealistic long-term objective of marginalising the software layers it didn't control)
Comment 4 jiri vanek 2013-05-20 07:29:17 EDT
Except performance and Nicolas' hint probably none. Although I would rather  avoid the -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel as default.

I will try to run some benchamrks.

Note You need to log in before you can comment on or make changes to this bug.